%global pypi_name geoip2
%global srcname GeoIP2-python
%global desc This package provides an API for the GeoIP2 web services.
%global test_data MaxMind-DB
%global test_data_rls f6ed981c23b0eb33d7c07568e2177236252afda6

# Webservice tests are disabled becuase python-requests-mock is not available
# in EL8 yet
%bcond_with webservice_tests

Name:           python-%{pypi_name}
Version:        2.9.0
Release:        1%{?dist}
Summary:        MaxMind GeoIP2 API

License:        ASL 2.0
URL:            http://www.maxmind.com/
Source0:        https://github.com/maxmind/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source1:        https://github.com/maxmind/%{test_data}/archive/%{test_data_rls}/%{test_data}-%{test_data_rls}.tar.gz

BuildArch:      noarch

%description
%{desc}

%package -n python2-%{pypi_name}
Summary:        %{summary}
%if %{with webservice_tests}
BuildRequires:  python2-requests-mock
%endif
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
BuildRequires:  python2-requests
BuildRequires:  python2-ipaddress
BuildRequires:  python2-maxminddb
%{?python_provide:%python_provide python2-%{pypi_name}}
Requires:       python2-requests
Requires:       python2-ipaddress
Requires:       python2-maxminddb

%description -n python2-%{pypi_name}
%{desc}

%package -n python3-%{pypi_name}
Summary:        %{summary}
%if %{with webservice_tests}
BuildRequires:  python3-requests-mock
%endif
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-requests
BuildRequires:  python3-maxminddb
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3-requests
Requires:       python3-maxminddb

%description -n python3-%{pypi_name}
%{desc}

%package doc
Summary:        Documentation for %{name}
BuildRequires:  %{_bindir}/sphinx-build

%description doc
This package provides the documentation for %{pypi_name}.

%prep
%autosetup -n %{srcname}-%{version} -a 1
rmdir tests/data
mv -f %{test_data}-%{test_data_rls} tests/data

%if !%{with webservice_tests}
rm tests/webservice_test.py
sed -i "/ *tests_require=.*,/d" setup.py
%endif

%build
%py2_build
%py3_build
sphinx-build -b html docs html
rm -rf html/.{buildinfo,doctrees}

%install
%py2_install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} setup.py test
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} setup.py test

%files -n python2-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{pypi_name}/
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%files doc
%doc html/
%license LICENSE

%changelog
* Thu Nov 14 2019 Lumír Balhar <lbalhar@redhat.com> - 2.9.0-1
- Initial build for EPEL8
